﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TransportGuideContracts.BindingModels;
using TransportGuideContracts.SearchModels;
using TransportGuideContracts.ViewModels;

namespace TransportGuideContracts.BusinessLogicsContracts
{
	public interface IStopLogic
	{
		List<StopViewModel>? ReadList(StopSearchModel? model);
		StopViewModel? ReadElement(StopSearchModel model);
		bool Create(StopBindingModel model);
		bool Update(StopBindingModel model);
		bool Delete(StopBindingModel model);
	}
}
