﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TransportGuideContracts.BindingModels;
using TransportGuideContracts.SearchModels;
using TransportGuideContracts.ViewModels;

namespace TransportGuideContracts.BusinessLogicsContracts
{
	public interface ITransportTypeLogic
	{
		List<TransportTypeViewModel>? ReadList(TransportTypeSearchModel? model);
		TransportTypeViewModel? ReadElement(TransportTypeSearchModel model);
		bool Create(TransportTypeBindingModel model);
		bool Update(TransportTypeBindingModel model);
		bool Delete(TransportTypeBindingModel model);
	}
}
