﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TransportGuideContracts.BindingModels;
using TransportGuideContracts.SearchModels;
using TransportGuideContracts.ViewModels;

namespace TransportGuideContracts.StoragesContracts
{
	public interface IRouteStorage
	{
		List<RouteViewModel> GetFullList();
		List<RouteViewModel> GetFilteredList(RouteSearchModel model);
		RouteViewModel? GetElement(RouteSearchModel model);
		RouteViewModel? Insert(RouteBindingModel model);
		RouteViewModel? Update(RouteBindingModel model);
		RouteViewModel? Delete(RouteBindingModel model);
		string TestInsertList(int num);
		string TestReadList(int num);
	}
}
